import { ElementRef, OnInit, TemplateRef } from '@angular/core';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { TableData } from '../table-data';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
export declare class MatMultiSortTableSettingsComponent implements OnInit {
    private dialog;
    _tableData: TableData<any>;
    sort: any[];
    dialogRef: MatDialogRef<any>;
    buttonRef: ElementRef;
    sortIndicatorRef: TemplateRef<any>;
    sortToolTip: string;
    closeDialogOnChoice: boolean;
    set tableData(tableData: TableData<any>);
    constructor(dialog: MatDialog);
    ngOnInit(): void;
    openDialog(): void;
    dropSort(event: CdkDragDrop<string[]>): void;
    getSort(): {
        id: string;
        name: string;
        direction: string;
    }[];
    remove(id: string): void;
    updateDirection(id: string): void;
    private updateSort;
}
